matrix:
  platform:
  - debian10
  - ubuntu2004
  - macos
  - macos_arm64
  - windows
  bazel:
  - 8.x
  - 7.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@rules_jvm_external//:implementation'
    - '@rules_jvm_external//private/tools/java/...'
    - '-@rules_jvm_external//private/tools/java/com/github/bazelbuild/rules_jvm_external/maven:MavenPublisherTest'
bcr_test_module:
  module_path: examples/bzlmod
  matrix:
    platform:
    - debian10
    - ubuntu2004
    - macos
    - macos_arm64
    - windows
    bazel:
    - 8.x
    - 7.x
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
      - //java/src/com/github/rules_jvm_external/examples/bzlmod:bzlmod_example
